Resolve a refinement action (create_new / assign_existing / merge / dismiss)
POST
/v2/refinement/resolve
const url = 'https://api.surveycoder.io/v2/refinement/resolve';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"project_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","question_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","suggestion_id":"example","action":"create_new","target_code_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","source_code_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.surveycoder.io/v2/refinement/resolve \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "question_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "suggestion_id": "example", "action": "create_new", "target_code_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source_code_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
project_id
required
string format: uuid
question_id
required
string format: uuid
suggestion_id
required
string
action
required
string
target_code_id
string format: uuid
source_code_id
string format: uuid
Responses
Section titled “ Responses ”Suggestion resolved